--- title: "changeCloudPostgresqlUserList" slug: "database-vpostgresql-changecloudpostgresqluserlist" updated: 2026-09-17T10:05:51Z published: 2026-09-17T10:05:51Z canonical: "api.ncloud-docs.com/database-vpostgresql-changecloudpostgresqluserlist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # changeCloudPostgresqlUserList Available in VPC Edit the DB user's information registered in a Cloud DB for PostgreSQL instance. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vpostgresql/v2/changeCloudPostgresqlUserList | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Cloud DB for PostgreSQL (VPC) APIs, see [Cloud DB for PostgreSQL (VPC) request headers](/docs/en/database-vpostgresql#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code - Region code of the Cloud DB for PostgreSQL instance whose DB user information you want to edit. - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region of the `getRegionList` query result (default). | | `cloudPostgresqlInstanceNo` | String | Required | Cloud DB for PostgreSQL instance number - See [getCloudPostgresqlInstanceList](/docs/en/database-vpostgresql-getcloudpostgresqlinstancelist). | | `cloudPostgresqlUserList.N.name` | List[String] | Required | List of user IDs whose DB user information you want to edit - Enter between 4 and 16 characters using a combination of English letters, numbers, and special character "_". - The string must start with an English letter. - Predefined roles and reserved words can't be used. - Example: `cloudPostgresqlUserList.1.name=testuser1&cloudPostgresqlUserList.2.name=testuser2` | | `cloudPostgresqlUserList.N.clientCidr` | List[String] | Conditional | CIDR (access control) list of clients trying to access - Enter only when changing the client CIDR. - At least one of the following is required: Client CIDR, password, and replication role status. - CIDR application method. - Example: `cloudPostgresqlUserList.1.clientCidr=0.0.0.0/0&cloudPostgresqlUserList.2.clientCidr=192.168.1.1/32` | | `cloudPostgresqlUserList.N.password` | List[String] | Conditional | DB user account password - Enter only when changing the password. - At least one of the following is required: Client CIDR, password, and replication role status. - Enter between 8 and 20 characters containing at least one English letter, number, and special character. - Special characters ` & + \ " ' / and spaces can't be used. - User ID can't be included. - Example: `cloudPostgresqlUserList.1.password=********&cloudPostgresqlUserList.2.password=********` | | `cloudPostgresqlUserList.N.isReplicationRole` | List[Boolean] | Conditional | Replication role status list - `true` \| `false` - Enter only when changing the replication role - At least one of the following is required: Client CIDR, password, and replication role status - Example: `cloudPostgresqlUserList.1.isReplicationRole=true&cloudPostgresqlUserList.N.isReplicationRole=false` | | `responseFormatType` | String | Optional | Format of the response result - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vpostgresql/v2/changeCloudPostgresqlUserList ?regionCode=KR &cloudPostgresqlInstanceNo=****925 &cloudPostgresqlUserList.1.name=testuser &cloudPostgresqlUserList.1.clientCidr=0.0.0.0/0 &cloudPostgresqlUserList.1.password=******** &cloudPostgresqlUserList.1.isReplicationRole=false' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response status codes For information about the HTTP status codes common to all Cloud DB for PostgreSQL (VPC) APIs, see [Cloud DB for PostgreSQL (VPC) response status codes](/docs/en/database-vpostgresql#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: - If `responseFormatType=json` ``` { "changeCloudPostgresqlUserListResponse": { "requestId": "c345f9b5-****-****-****-db6f8c7f6c80", "returnCode": "0", "returnMessage": "success" } } ``` - If `responseFormatType=xml` (default) ``` c345f9b5-****-****-****-db6f8c7f6c80 0 success ```